### A free/open-source library for quantitative finance

Public Member Functions
LogCubicInterpolation Class Reference

log-cubic interpolation between discrete points More...

`#include <ql/math/interpolations/loginterpolation.hpp>`

Inheritance diagram for LogCubicInterpolation:
[legend]

List of all members.

## Public Member Functions

template<class I1 , class I2 >
| LogCubicInterpolation (const I1 &xBegin, const I1 &xEnd, const I2 &yBegin, CubicInterpolation::DerivativeApprox da, bool monotonic, CubicInterpolation::BoundaryCondition leftC, Real leftConditionValue, CubicInterpolation::BoundaryCondition rightC, Real rightConditionValue)

## Detailed Description

log-cubic interpolation between discrete points

## Constructor & Destructor Documentation

LogCubicInterpolation | ( | const I1 & | xBegin,
|  | const I1 & | xEnd,
|  | const I2 & | yBegin,
|  | CubicInterpolation::DerivativeApprox | da,
|  | bool | monotonic,
|  | CubicInterpolation::BoundaryCondition | leftC,
|  | Real | leftConditionValue,
|  | CubicInterpolation::BoundaryCondition | rightC,
|  | Real | rightConditionValue
| ) |  |

Precondition:
  the values must be sorted.